Bug 1443358 (CVE-2017-3308)

Summary: CVE-2017-3308 mysql: Server: DML unspecified vulnerability (CPU Apr 2017)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, apmukher, chrisw, cvsbot-xmlrpc, databases-maint, dciabrin, gmollett, hhorak, jjoyce, jorton, jschluet, jshepherd, jstanek, kbasil, lhh, lpeer, markmc, mbayer, mburns, mmuzila, mschorm, praiskup, rbryant, sclewis, slinaber, srevivo, tdecacqu, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20170419,reported=20170419,source=internet,cvss3=6.5/CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H,rhel-5/mysql55-mysql=wontfix,rhel-6/mysql=wontfix,rhel-7/mariadb=affected,rhscl-2/rh-mysql56-mysql=affected,rhscl-2/rh-mysql57-mysql=affected,rhscl-3/rh-mariadb100-mariadb=affected,rhscl-3/rh-mariadb101-mariadb=affected,openstack-5/mariadb-galera=wontfix,openstack-6/mariadb-galera=wontfix,openstack-7/mariadb-galera=wontfix,openstack-8/mariadb-galera=wontfix,openstack-9/mariadb-galera=wontfix,openstack-10/mariadb-galera=wontfix,openstack-11/mariadb-galera=wontfix,fedora-all/community-mysql=affected,fedora-all/mariadb=affected,openstack-12/mariadb-galera=wontfix
Fixed In Version: mysql 5.5.55, mysql 5.6.36, mysql 5.7.18, mariadb 5.5.55, mariadb 10.2.6, mariadb 10.1.23, mariadb 10.0.31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-21 15:03:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1443407, 1443408, 1445524, 1445525, 1445527, 1445528, 1458933, 1463415, 1463416, 1463417, 1463418    
Bug Blocks: 1443389    

Description Adam Mariš 2017-04-19 07:16:39 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: DML). Supported versions that are affected are 5.5.54 and earlier, 5.6.35 and earlier and 5.7.17 and earlier. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. While the vulnerability is in MySQL Server, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html#AppendixMSQL

Comment 1 Adam Mariš 2017-04-19 08:12:00 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1443408]

Comment 2 Adam Mariš 2017-04-19 08:12:14 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1443407]

Comment 9 errata-xmlrpc 2017-08-01 19:44:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2192 https://access.redhat.com/errata/RHSA-2017:2192

Comment 10 errata-xmlrpc 2017-09-21 07:48:12 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2787 https://access.redhat.com/errata/RHSA-2017:2787

Comment 11 errata-xmlrpc 2017-10-12 07:59:33 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2886 https://access.redhat.com/errata/RHSA-2017:2886

Comment 12 errata-xmlrpc 2018-02-06 11:01:06 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0279 https://access.redhat.com/errata/RHSA-2018:0279

Comment 13 errata-xmlrpc 2018-03-21 14:03:32 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0574 https://access.redhat.com/errata/RHSA-2018:0574